cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        act:{
          default:null,
          type:cc.Prefab,
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!'
    },

    // use this for initialization
    onLoad: function () {
        cc.director.setDisplayStats(true);
        this.label.string = this.text;
        for(let i = 0 ;i <= 6;i++){
            let act = cc.instantiate(this.act);    
            act.getComponent("actBase").initAcot(101001 +i);
            this.node.addChild(act);
        }
        
    },

    // called every frame
    update: function (dt) {
    
    },
});
